Show the assignments created by the POST fleet/carrier-proposed-assignments. This endpoint will only show the assignments that are active for drivers and currently visible to them in the driver app. Once a proposed assignment has been accepted, the endpoint will not return any data.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
To use this endpoint, select Read Carrier-Proposed Assignments under the Assignments category when creating or editing an API token. Learn More.
curl --request GET \
--url https://api.samsara.com/fleet/carrier-proposed-assignments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"activeTime": "2020-01-27T07:06:25Z",
"id": "08b3aeada5f4ab3010c0b4efa28d2d1890dbf8d48d2d",
"acceptedTime": "2020-01-27T07:06:25Z",
"driver": {
"id": "88668",
"name": "Susan Bob",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}
},
"firstSeenTime": "2020-01-27T07:06:25Z",
"rejectedTime": "2020-01-27T07:06:25Z",
"shippingDocs": "Delivery 123, chips and soda",
"trailers": [
{
"id": "123456789",
"name": "Midwest Trailer #5",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}
}
],
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The limit for how many objects will be in the response. Default and max for this value is 512 objects.
1 <= x <= 512If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.
A filter on the data based on this comma-separated list of driver IDs and externalIds. Example: driverIds=1234,5678,payroll:4841
If specified, shows assignments that will be active at this time. Defaults to now, which would show current active assignments. In RFC 3339 format. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).
curl --request GET \
--url https://api.samsara.com/fleet/carrier-proposed-assignments \
--header 'Authorization: Bearer <token>'{
"data": [
{
"activeTime": "2020-01-27T07:06:25Z",
"id": "08b3aeada5f4ab3010c0b4efa28d2d1890dbf8d48d2d",
"acceptedTime": "2020-01-27T07:06:25Z",
"driver": {
"id": "88668",
"name": "Susan Bob",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}
},
"firstSeenTime": "2020-01-27T07:06:25Z",
"rejectedTime": "2020-01-27T07:06:25Z",
"shippingDocs": "Delivery 123, chips and soda",
"trailers": [
{
"id": "123456789",
"name": "Midwest Trailer #5",
"externalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
}
}
],
"vehicle": {
"ExternalIds": {
"maintenanceId": "250020",
"payrollId": "ABFS18600"
},
"id": "123456789",
"name": "Midwest Truck #4"
}
}
],
"pagination": {
"endCursor": "MjkY",
"hasNextPage": true
}
}